#--------------------------------------------------------------------
# To be included once for every IDL file
#--------------------------------------------------------------------

ifndef IDL_INTO
IDL_INTO := $(notdir $(IDL_FROM))
endif

IDL_THIS_BASE := $(basename $(IDL_INTO))

IDL_THIS_DEFS := $(IDL_THIS_BASE).hh $(IDL_THIS_BASE)S.hh
IDL_THIS_KIDS := $(IDL_THIS_DEFS) \
                 $(IDL_THIS_BASE)C.cxx $(IDL_THIS_BASE)S.cxx
IDL_THIS_OBJC := $(IDL_THIS_BASE)C
IDL_THIS_OBJS := $(IDL_THIS_OBJC) $(IDL_THIS_BASE)S

#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

REM_LIST += $(subst %,*,$(IDL_THIS_KIDS))

$(IDL_THIS_KIDS): $(IDL_FROM)
	$(ID) $(addprefix -D, $(ID_DEFS)) $(ID_OPTS) -base:-Oh$(dir $@):-Oc$(dir $@) -poa:-Oh$(dir $@):-Oc$(dir $@) $<

OBJ_FROM := $(IDL_THIS_BASE)C.cxx
OBJ_DEFS := $(IDL_THIS_DEFS)
OBJ_INTO := $(IDL_THIS_BASE)C
include $(MAK_MAKE_OBJ)

OBJ_FROM := $(IDL_THIS_BASE)S.cxx
OBJ_DEFS := $(IDL_THIS_DEFS)
OBJ_INTO := $(IDL_THIS_BASE)S
include $(MAK_MAKE_OBJ)

#--------------------------------------------------------------------

IDL_FROM :=
IDL_INTO :=

NEW_DEFS := $(IDL_THIS_DEFS)
NEW_OBJC := $(IDL_THIS_OBJC)
NEW_OBJS := $(IDL_THIS_OBJS)

#--------------------------------------------------------------------
