#--------------------------------------------------------------------
# To be included once for every IDL file
#--------------------------------------------------------------------

ifndef IDL_INTO
IDL_INTO := $(notdir $(IDL_FROM))
endif

IDL_THIS_BASE := $(basename $(IDL_INTO))

IDL_THIS_DEFS := $(IDL_THIS_BASE)C.h $(IDL_THIS_BASE)S.h $(IDL_THIS_BASE)S_T.h \
                 $(IDL_THIS_BASE)C.i $(IDL_THIS_BASE)S.i $(IDL_THIS_BASE)S_T.i
IDL_THIS_KIDS := $(IDL_THIS_DEFS) \
                 $(IDL_THIS_BASE)C.cpp $(IDL_THIS_BASE)S.cpp $(IDL_THIS_BASE)S_T.cpp
IDL_THIS_OBJC := $(IDL_THIS_BASE)C
IDL_THIS_OBJS := $(IDL_THIS_OBJC) $(IDL_THIS_BASE)S

#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

REM_LIST += $(subst %,*,$(IDL_THIS_KIDS))

$(IDL_THIS_KIDS): $(IDL_FROM)
	$(ID) $(addprefix -D, $(ID_DEFS)) $(ID_OPTS) -o $(dir $@) $<

OBJ_FROM := $(IDL_THIS_BASE)C.cpp
OBJ_DEFS := $(IDL_THIS_DEFS)
OBJ_INTO := $(IDL_THIS_BASE)C
include $(MAK_MAKE_OBJ)

OBJ_FROM := $(IDL_THIS_BASE)S.cpp
OBJ_DEFS := $(IDL_THIS_DEFS)
OBJ_INTO := $(IDL_THIS_BASE)S
include $(MAK_MAKE_OBJ)

#--------------------------------------------------------------------

IDL_FROM :=
IDL_INTO :=

NEW_DEFS := $(IDL_THIS_DEFS)
NEW_OBJC := $(IDL_THIS_OBJC)
NEW_OBJS := $(IDL_THIS_OBJS)

#--------------------------------------------------------------------
