#--------------------------------------------------------------------#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

BEN_DIRS :=	in	out	inout	return

suite_all:	$(addprefix suite_all_, $(BEN_DIRS))

suite_clean:	$(addprefix suite_clean_, $(BEN_DIRS))

#--------------------------------------------------------------------

suite_all_in:		; @$(MAKE) "SUI_DIRS=IN"	suite_all_direction
suite_all_out:		; @$(MAKE) "SUI_DIRS=OUT"	suite_all_direction
suite_all_inout:	; @$(MAKE) "SUI_DIRS=INOUT"	suite_all_direction
suite_all_return:	; @$(MAKE) "SUI_DIRS=RETURN"	suite_all_direction

suite_clean_in:		; @$(MAKE) "SUI_DIRS=IN"	suite_clean_direction
suite_clean_out:	; @$(MAKE) "SUI_DIRS=OUT"	suite_clean_direction
suite_clean_inout:	; @$(MAKE) "SUI_DIRS=INOUT"	suite_clean_direction
suite_clean_return:	; @$(MAKE) "SUI_DIRS=RETURN"	suite_clean_direction

#--------------------------------------------------------------------

suite_all_direction:
	-$(call MD, $(SUI_DIRS))
	@$(MAKE) "MAK_DIR=$(SUI_DIRS)/" shared_all

suite_clean_direction:
	@$(MAKE) "MAK_DIR=$(SUI_DIRS)/" shared_clean
	-$(call RD, $(SUI_DIRS))

#--------------------------------------------------------------------

ID_DEFS += BENDirection$(SUI_DIRS)
CC_DEFS += BENDirection$(SUI_DIRS) BENDirectionQuoted=\"$(SUI_DIRS)\"

IDL_FROM := ../ping.idl
IDL_INTO := $(MAK_DIR)ping
include	$(MAK_MAKE_IDL)
IDL_DEFS += $(NEW_DEFS)
IDL_OBJC += $(NEW_OBJC)
IDL_OBJS += $(NEW_OBJS)

#--------------------------------------------------------------------
