#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

ID      =	$(JACORB_DIR)/bin/idl

JA	=	$(JAVA_HOME)/bin/jar

JC	=	$(JAVA_HOME)/bin/javac
JC_DIRS =	$(JACORB_DIR)/lib/jacorb.jar

JR	=	$(JAVA_HOME)/jre/bin/java
JR_DIRS =	$(JACORB_DIR)/lib/jacorb.jar:$(JACORB_DIR)/lib
JR_ORBC =	org.jacorb.orb.ORB
JR_ORBS =	org.jacorb.orb.ORBSingleton

CC_OPTS +=	+p
CC_DEFS +=	DSPStreamsOLD _REENTRANT
CC_DIRS =       $(JAVA_HOME)/include $(JAVA_HOME)/include/solaris
LD_LIBS +=	c dl kstat

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=	mem_solaris_proc
NET_BASE :=	net_solaris_kstat
PRO_BASE :=	pro_solaris_kstat

COM_BASE :=	com_wscc
PLT_BASE :=	plt_solaris_empty
THR_BASE :=	thr_solaris_threads
TIM_BASE :=	tim_solaris_hrtime

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.CharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
