#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

ID	=	$(JACORB_DIR)\bin\idl.bat

JC_DIRS =	$(JACORB_DIR)\lib\jacorb.jar

JR_DIRS =	%%JACORB_DIR%%\lib\jacorb.jar;%%JACORB_DIR%%\lib
JR_ORBC =	org.jacorb.orb.ORB
JR_ORBS =	org.jacorb.orb.ORBSingleton

CC_DEFS +=	DSPStreamsNEW
CC_DIRS +=	$(JAVA_HOME)\include $(JAVA_HOME)\include\win32
LD_LIBS +=	ADVAPI32

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=     mem_windows_pdata
NET_BASE :=     net_windows_pdata
PRO_BASE :=     pro_windows_pdata

PLT_BASE :=     plt_windows_pdata
TIM_BASE :=     tim_windows_qpcounter
COM_BASE :=     com_vcpp

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.CharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
