#--------------------------------------------------------------------
# To be included once for every IDL file
#--------------------------------------------------------------------

ifndef IDL_INTO
IDL_INTO := $(notdir $(IDL_FROM))
endif

IDL_THIS_FILE := $(notdir $(IDL_INTO))
IDL_THIS_BASE := $(basename $(IDL_THIS_FILE))

IDL_THIS_JAVA := $(IDL_THIS_BASE) $(IDL_THIS_BASE)Operations \
		 $(IDL_THIS_BASE)Helper $(IDL_THIS_BASE)Holder \
		 $(IDL_THIS_BASE)POA $(IDL_THIS_BASE)POATie \
		 _$(IDL_THIS_BASE)Stub 

IDL_THIS_JAVA := $(addprefix $(dir $(IDL_INTO)),$(IDL_THIS_JAVA))		
IDL_THIS_JAVA += $(IDL_JAVA)

IDL_THIS_KIDS := $(addsuffix .java,$(IDL_THIS_JAVA))

#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

REM_LIST += $(IDL_THIS_KIDS)

# The rules for compiling IDL using Jonathan's IDL compiler are a bit
# complex because first, Jonathan's IDL compiler cannot generate files
# without package specification and second, it does not eat preprocessor
# directives with # starting at other than first column.

$(IDL_THIS_KIDS): $(IDL_FROM)
	cpp -P $(addprefix -D, $(ID_DEFS)) $< > $(dir $@)$(notdir $<)
	$(ID) $(ID_OPTS) -d $(dir $@) -p $(ID_JPKG) $(dir $@)$(notdir $<)
	$(MAK_ORB_PATH_VERS)/idlc_filter $(ID_JPKG) $(dir $@)
	-$(RM) $(dir $@)$(notdir $<)
	
#$(ID) $(addprefix -D, $(ID_DEFS)) $(ID_OPTS) -d $(dir $@) -p $(ID_JPKG) $<

#--------------------------------------------------------------------

IDL_FROM :=
IDL_INTO :=
IDL_JAVA :=

NEW_JAVA := $(IDL_THIS_JAVA)

#--------------------------------------------------------------------
