#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

ID      =	$(ORBIX2000_DIR)/asp/5.1/bin/idl

JA	=	$(JAVA_HOME)/bin/jar

JC	=	$(JAVA_HOME)/bin/javac
JC_DIRS =	$(ORBIX2000_DIR)/asp/5.1/lib/runtime/art.jar

JR	=	$(JAVA_HOME)/jre/bin/java
JR_DIRS =	$(ORBIX2000_DIR)/asp/5.1/lib/orbix2000.jar
JR_ORBC =	com.iona.corba.art.artimpl.ORBImpl
JR_ORBS =	com.iona.corba.art.artimpl.ORBSingleton
JR_ARGS =	-ORBconfig_domains_dir $(ORBIX2000_DIR)/etc/domains \
		$(if $(IT_DOMAIN_NAME),-ORBdomain_name $(IT_DOMAIN_NAME))

CC_OPTS +=	+p
CC_DEFS +=	DSPStreamsOLD _REENTRANT
CC_DIRS +=	$(JAVA_HOME)/include $(JAVA_HOME)/include/solaris
LD_LIBS +=	c dl kstat

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=	mem_solaris_proc
NET_BASE :=	net_solaris_kstat
PRO_BASE :=	pro_solaris_kstat

COM_BASE :=	com_wscc
PLT_BASE :=	plt_solaris_empty
THR_BASE :=	thr_solaris_threads
TIM_BASE :=	tim_solaris_hrtime

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_LongDouble	:= com.iona.corbax.LongDouble com.iona.corbax.LongDoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.WcharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
