#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

ID      =       $(VISIBROKER_DIR)/bin/idl2java
ID_OPTS +=	-no_tie

JA	=	$(VISIBROKER_DIR)/jdk/bin/jar

JC	=	$(VISIBROKER_DIR)/jdk/bin/javac
JC_DIRS =       $(VISIBROKER_DIR)/lib/vbjorb.jar

JR	=	$(VISIBROKER_DIR)/jdk/jre/bin/java
JR_DIRS =	$(VISIBROKER_DIR)/lib/vbjorb.jar:$(VISIBROKER_DIR)/lib/lm.jar:$(VISIBROKER_DIR)/lib/vbsec.jar
JR_ORBC =	com.inprise.vbroker.orb.ORB
JR_ORBS =	com.inprise.vbroker.orb.ORBSingleton

CC_DEFS +=	DSPStreamsNEW THREAD SOLARIS
CC_DIRS +=	$(VISIBROKER_DIR)/jdk/include \
		$(VISIBROKER_DIR)/jdk/include/solaris
LD_LIBS +=	dl nsl socket posix4 kstat

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=	mem_solaris_proc
NET_BASE :=	net_solaris_kstat
PRO_BASE :=	pro_solaris_kstat

COM_BASE :=	com_wscc
PLT_BASE :=	plt_solaris_empty
THR_BASE :=	thr_solaris_threads
TIM_BASE :=	tim_solaris_hrtime

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_LongDouble	:= double org.omg.CORBA.DoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.CharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
