#!/bin/bash
BSDIR=`dirname $0`

while [ "${1}" != "${1##-ORB*}" ]; do
    BPARM="$BPARM $1 $2"
    shift; shift
done

if [ $# -ne 0 ]; then
	echo "Usage: @JR_FILE@"
	exit 1
fi

$JAVA_HOME/jre/bin/java \
	-Xmx512M \
	-classpath $BSDIR/Suite.jar:@JR_DIRS@ \
	-Djava.library.path=$BSDIR/.. \
	-Dorg.omg.CORBA.ORBClass=@JR_ORBC@ \
	-Dorg.omg.CORBA.ORBSingletonClass=@JR_ORBS@ \
	@JR_DEFS@ \
	@JR_MAIN@ $BPARM @JR_ARGS@
