/*******************************************************************\
| SuiteAction.java (Concurrency Client Connections)                 |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.IntHolder;


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static Ping pingServer;


	private IntHolder theClient = new IntHolder ();

	/**
	 * Invokes a method on the servant to load the server
	 * and receives ID of client performing the measurement.
	 */
	public final void execute (long [] times) {
		pingServer.Pong (theClient);
	} // execute ()

} // public final class SuiteAction
