/*******************************************************************\
| SuiteAction.java (Dispatch Servant Instances)                     |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static int		pingSequenceLength;
	public static Ping []	pingSequence;


	/**
	 * Invokes a method on a randomly selected servant to measure
	 * the effectiveness of ORB's dispatching mechanism.
	 */
	public final void execute (long [] times) {
		pingSequence [(int) BenchGlobal.rand (pingSequenceLength)].Pong ();
	} // execute ()

} // public final class SuiteAction
