/*******************************************************************\
| SuiteAction.java (Invocation Dynamic)                             |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.TCKind;
import org.omg.CORBA.Request;


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static org.omg.CORBA.Object pingServer;


	/**
	 * Invokes a method on servant using the dynamic invocation interface
	 * to measure how long it takes under various conditions.
	 */
	public final void execute (long [] times) {
		Request request = pingServer._request ("Pong");

		request.set_return_type (
			BenchBroker.theORB.get_primitive_tc (TCKind.tk_ulonglong));
		request.invoke ();

		times [0] = request.result ().value ().extract_ulonglong ();
	} // execute ()

} // public final class SuiteAction
