/*******************************************************************\
| SuiteAction.java (Invocation Static)                              |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static Ping pingServer;


	/**
	 * Invokes a method on servant to measure how long it takes
	 * under various conditions.
	 */
	public final void execute (long [] times) {
		times [0] = pingServer.Pong ();
	} // execute ()

} // public final class SuiteAction
