/*******************************************************************\
| PingServant.java (Marshal Types Array)                            |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| PingServant                                                       |
\*******************************************************************/

public final class PingServant extends PingPOA {

	private @ARG_TYPE@ [] pingArg = new @ARG_TYPE@ [@ARG_SIZE@];

#ifdef BENDirectionIN

	/**
	 * void Pong (in tPingArg xArg)
	 */
	public final void Pong (@ARG_TYPE@ [] xArg) {
		/* nop */
	} // Pong (byte [])

#elifdef BENDirectionOUT

	/**
	 * void Pong (out tPingArg xArg)
	 */
	public final void Pong (tPingArgHolder xArg) {
	   xArg.value = pingArg;
	} // Pong (tPingArgHolder)

#elifdef BENDirectionINOUT

	/**
	 * void Pong (inout tPingArg xArg)
	 */
	public final void Pong (tPingArgHolder xArg) {
		/* nop */
	} // Pong (tPingArgHolder)

#elifdef BENDirectionRETURN

	/**
	 * tPingArg Pong ()
	 */
	public final @ARG_TYPE@ [] Pong () {
		return pingArg;
	} // Pong ()

#else
#	error Direction not defined!
#endif

} // public final class PingServant
