/*******************************************************************\
| SuiteAction.java (Marshal Types Array)                            |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static Ping		pingServer;


	private tPingArgHolder	pingArg;

	public SuiteAction () {
		pingArg = new tPingArgHolder ();
		pingArg.value = new @ARG_TYPE@ [@ARG_SIZE@];
	}


	/**
	 * Invokes a method on the servant passing an array
	 * of primitive types in various modes.
	 */
	public final void execute (long [] times) {

	#ifdef BENDirectionIN
		pingServer.Pong (pingArg.value);

	#elifdef BENDirectionOUT
		pingServer.Pong (pingArg);
		pingArg.value = null;

	#elifdef BENDirectionINOUT
		pingServer.Pong (pingArg);

	#elifdef BENDirectionRETURN
		pingServer.Pong ();

	#else
	#	error Direction not defined!
	#endif
	} // execute ()

} // public final class SuiteAction
