/*******************************************************************\
| PingServant.java (Marshal Types Single)                           |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| PingServant                                                       |
\*******************************************************************/

public final class PingServant extends PingPOA {

#ifdef BENDirectionIN

	/**
	 * void Pong (in tPingArg xArg)
	 */
	public final void Pong (@ARG_TYPE@ xArg) {
		/* nop */
	} // Pong (@ARG_TYPE@)

#elifdef BENDirectionOUT

	/**
	 * void Pong (out tPingArg xArg)
	 */
	public final void Pong (@ARG_HOLD@ xArg) {
		/* nop */
	} // Pong (@ARG_HOLD@)

#elifdef BENDirectionINOUT

	/**
	 * void Pong (inout tPingArg xArg)
	 */
	public final void Pong (@ARG_HOLD@ xArg) {
		/* nop */
	} // Pong (@ARG_HOLD@)

#elifdef BENDirectionRETURN

	private @ARG_TYPE@ pingArg;

	/**
	 * tPingArg Pong ()
	 */
	public final @ARG_TYPE@ Pong () {
		return (pingArg);
	} // Pong ()

#else
#	error Direction not defined!
#endif

} // public final class PingServant
