#--------------------------------------------------------------------
# To be included once for every IDL file
#--------------------------------------------------------------------

ifndef IDL_INTO
IDL_INTO := $(notdir $(IDL_FROM))
endif

IDL_THIS_BASE := $(basename $(IDL_INTO))

IDL_THIS_DEFS := $(IDL_THIS_BASE).hh
IDL_THIS_KIDS := $(IDL_THIS_DEFS) \
                 $(IDL_THIS_BASE)SK.cc $(IDL_THIS_BASE)DynSK.cc
IDL_THIS_OBJC := $(IDL_THIS_BASE)SK $(IDL_THIS_BASE)DynSK
IDL_THIS_OBJS := $(IDL_THIS_OBJC)

#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

REM_LIST += $(subst %,*,$(IDL_THIS_KIDS))

$(IDL_THIS_KIDS): $(IDL_FROM)
	$(ID) $(addprefix -D, $(ID_DEFS)) $(ID_OPTS) -C$(dir $@) $<

OBJ_FROM := $(IDL_THIS_BASE)SK.cc
OBJ_DEFS := $(IDL_THIS_DEFS)
OBJ_INTO := $(IDL_THIS_BASE)SK
include $(MAK_MAKE_OBJ)

OBJ_FROM := $(IDL_THIS_BASE)DynSK.cc
OBJ_DEFS := $(IDL_THIS_DEFS)
OBJ_INTO := $(IDL_THIS_BASE)DynSK
include $(MAK_MAKE_OBJ)

#--------------------------------------------------------------------

IDL_FROM :=
IDL_INTO :=

NEW_DEFS := $(IDL_THIS_DEFS)
NEW_OBJC := $(IDL_THIS_OBJC)
NEW_OBJS := $(IDL_THIS_OBJS)

#--------------------------------------------------------------------
