/*******************************************************************\
| COM_GCC.H                                                         |
+-------------------------------------------------------------------+
| The compiler support functions for GCC.                           |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

#include <stdio.h>
#include <assert.h>
#include <stdlib.h>

#if   defined DSPStreamsOLD
  #include <iostream.h>
#elif defined DSPStreamsNEW
  #include <iostream>
#endif

//-------------------------------------------------------------------

#if   defined __i386__
  typedef unsigned char       uint8;
  typedef unsigned long       uint32;
  typedef unsigned long long  uint64;
#elif defined __ia64__
  typedef unsigned char       uint8;
  typedef unsigned int        uint32;
  typedef unsigned long       uint64;
#else
  #error
#endif

//-------------------------------------------------------------------

