/*******************************************************************\
| COM_VCPP.CC                                                       |
+-------------------------------------------------------------------+
| The compiler support functions for Visual C++.                    |
+-------------------------------------------------------------------+
| Copyright (C) Petr Tuma <petr.tuma@mff.cuni.cz>                   |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

#include "com_defs.h"
#include "orb_defs.h"

#include "thr_defs.h"
#include "shr_defs.h"

#include "all_defs.h"

//-------------------------------------------------------------------

/*******************************************************************\
| Bug Workaround: Long Integer Dump                                 |
\*******************************************************************/

DSPOStream &operator << (DSPOStream &oStream, uint64 iNumber)
{
  char acBuffer [32];
  snprintf (acBuffer, sizeof (acBuffer), "%I64u", iNumber);
  oStream << acBuffer;
  return (oStream);
};

//-------------------------------------------------------------------
