#--------------------------------------------------------------------#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

BEN_ACCS :=	accessed	ignored

suite_all:	$(addprefix suite_all_, $(BEN_ACCS))

suite_clean:	$(addprefix suite_clean_, $(BEN_ACCS))

#--------------------------------------------------------------------

suite_all_accessed:	; @$(MAKE) "SUI_ACCS=Accessed"	suite_all_access
suite_all_ignored:	; @$(MAKE) "SUI_ACCS=Ignored"	suite_all_access

suite_clean_accessed:	; @$(MAKE) "SUI_ACCS=Accessed"	suite_clean_access
suite_clean_ignored:	; @$(MAKE) "SUI_ACCS=Ignored"	suite_clean_access

#--------------------------------------------------------------------

suite_all_access:
	-$(call MD, $(SUI_ACCS))
	@$(MAKE) "MAK_DIR=$(SUI_ACCS)/" shared_all

suite_clean_access:
	@$(MAKE) "MAK_DIR=$(SUI_ACCS)/" shared_clean
	-$(call RD, $(SUI_ACCS))

#--------------------------------------------------------------------

CC_DEFS += BENAccess$(SUI_ACCS) BENAccessQuoted=\"$(SUI_ACCS)\"

IDL_FROM := ../ping.idl
IDL_INTO := $(MAK_DIR)ping
include	$(MAK_MAKE_IDL)
IDL_DEFS += $(NEW_DEFS)
IDL_OBJC += $(NEW_OBJC)
IDL_OBJS += $(NEW_OBJS)

#--------------------------------------------------------------------
