#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

ID	=	$(JR) -classpath $(JC_DIRS) org.objectweb.david.tools.idlcompiler.Idl2Java
ID_OPTS	=	-poa
ID_JPKG =	@UGLYHACK@

JC_DIRS	=	$(JONATHAN_DIR)/classes:$(JONATHAN_DIR)/libs/kilim.jar:$(JONATHAN_DIR)/libs/ow_util_log_api.jar:$(JONATHAN_DIR)/libs/ow_util_log_file.jar:$(JONATHAN_DIR)/libs/ow_util_log_wrp_log4j.jar:$(wildcard $(JONATHAN_DIR)/libs/nanoxml-*.jar):$(wildcard $(JONATHAN_DIR)/libs/log4j-*.jar)

JR_DIRS	=	\$$JONATHAN_DIR/classes:\$$JONATHAN_DIR/libs/kilim.jar:\$$JONATHAN_DIR/libs/ow_util_log_api.jar:\$$JONATHAN_DIR/libs/ow_util_log_file.jar:\$$JONATHAN_DIR/libs/ow_util_log_wrp_log4j.jar:\$$JONATHAN_DIR/libs/nanoxml-lite-2.2.1.jar:\$$JONATHAN_DIR/libs/log4j-1.2.6.jar
JR_ORBC	=	org.objectweb.david.libs.binding.orbs.iiop.IIOPORB
JR_ORBS	=	org.objectweb.david.libs.binding.orbs.ORBSingletonClass
JR_DEFS	=	-Ddavid.CosNaming.default_method=2 -Ddavid.CosNaming.default_file=/tmp/nameservice.ior

CC_DEFS	+=	DSPStreamsNEW
CC_DIRS	=       $(JAVA_HOME)/include $(JAVA_HOME)/include/linux

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=	mem_linux_proc
NET_BASE :=	net_linux_proc
PRO_BASE :=	pro_linux_proc

COM_BASE :=	com_gcc
PLT_BASE :=	plt_linux_empty
THR_BASE :=	thr_posix_threads
TIM_BASE :=	tim_linux_hpt

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.CharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
