#--------------------------------------------------------------------
# Commands
#--------------------------------------------------------------------

ID	=	$(ORBIX2000_DIR)\asp\5.1\bin\idl

JC_DIRS	=	$(ORBIX2000_DIR)\asp\5.1\lib\runtime\art.jar

JR_DIRS	=	%%ORBIX2000_DIR%%\asp\5.1\lib\orbix2000.jar
JR_ORBC	=	com.iona.corba.art.artimpl.ORBImpl
JR_ORBS	=	com.iona.corba.art.artimpl.ORBSingleton
JR_ARGS	=	-ORBconfig_domains_dir \"%%ORBIX2000_DIR%%\etc\domains\"

CC_DEFS	=       DSPStreamsNEW
CC_DIRS	=       $(JAVA_HOME)\include $(JAVA_HOME)\include\win32
LD_LIBS	=       ADVAPI32

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MEM_BASE :=     mem_windows_pdata
NET_BASE :=     net_windows_pdata
PRO_BASE :=     pro_windows_pdata

COM_BASE :=     com_vcpp
PLT_BASE :=     plt_windows_pdata
TIM_BASE :=     tim_windows_qpcounter

#--------------------------------------------------------------------
# IDL Basic Type Mapping
#--------------------------------------------------------------------

IDL_Short	:= short org.omg.CORBA.ShortHolder
IDL_Long 	:= int org.omg.CORBA.IntHolder
IDL_LongLong	:= long org.omg.CORBA.LongHolder
IDL_UShort	:= short org.omg.CORBA.ShortHolder
IDL_ULong 	:= int org.omg.CORBA.IntHolder
IDL_ULongLong	:= long org.omg.CORBA.LongHolder
IDL_Float	:= float org.omg.CORBA.FloatHolder
IDL_Double	:= double org.omg.CORBA.DoubleHolder
IDL_LongDouble	:= com.iona.corbax.LongDouble com.iona.corbax.LongDoubleHolder
IDL_Char	:= char org.omg.CORBA.CharHolder
IDL_WChar	:= char org.omg.CORBA.WcharHolder
IDL_Boolean	:= boolean org.omg.CORBA.BooleanHolder
IDL_Octet	:= byte org.omg.CORBA.ByteHolder

#--------------------------------------------------------------------
