#--------------------------------------------------------------------
# Targets
#--------------------------------------------------------------------

BEN_DIRS :=	in	out	inout	return

suite_all:	$(addprefix suite_all_, $(BEN_DIRS))

suite_clean:	$(addprefix suite_clean_, $(BEN_DIRS))

suite_cleanall:	$(addprefix suite_cleanall_, $(BEN_DIRS))

#--------------------------------------------------------------------

suite_all_in:		; @$(MAKE) "SUI_DIRS=IN"	suite_all_direction
suite_all_out:		; @$(MAKE) "SUI_DIRS=OUT"	suite_all_direction
suite_all_inout:	; @$(MAKE) "SUI_DIRS=INOUT"	suite_all_direction
suite_all_return:	; @$(MAKE) "SUI_DIRS=RETURN"	suite_all_direction

suite_clean_in:		; @$(MAKE) "SUI_DIRS=IN"	suite_clean_direction
suite_clean_out:	; @$(MAKE) "SUI_DIRS=OUT"	suite_clean_direction
suite_clean_inout:	; @$(MAKE) "SUI_DIRS=INOUT"	suite_clean_direction
suite_clean_return:	; @$(MAKE) "SUI_DIRS=RETURN"	suite_clean_direction

suite_cleanall_in:	; @$(MAKE) "SUI_DIRS=IN"	suite_cleanall_direction
suite_cleanall_out:	; @$(MAKE) "SUI_DIRS=OUT"	suite_cleanall_direction
suite_cleanall_inout:	; @$(MAKE) "SUI_DIRS=INOUT"	suite_cleanall_direction
suite_cleanall_return:	; @$(MAKE) "SUI_DIRS=RETURN"	suite_cleanall_direction

#--------------------------------------------------------------------

suite_all_direction:
	-$(call MD, $(SUI_DIRS))
	@$(MAKE) "MAK_DIR=$(SUI_DIRS)/" shared_all

suite_clean_direction:
	@$(MAKE) "MAK_DIR=$(SUI_DIRS)/" shared_clean

suite_cleanall_direction: suite_clean_direction
	@$(MAKE) "MAK_DIR=$(SUI_DIRS)/" shared_cleanall
	-$(call RD, $(SUI_DIRS))

#--------------------------------------------------------------------
# Suite Files
#--------------------------------------------------------------------

ALL_JAVA += ../SuiteClient ../SuiteServer
ALL_JAVA += $(MAK_DIR)PingServant $(MAK_DIR)SuiteAction 
REM_LIST += $(MAK_DIR)PingServant.java $(MAK_DIR)SuiteAction.java 

$(MAK_DIR)%.java: ../%.java
	$(JT_FSTR) $< BENDirection$(SUI_DIRS) > $@

#--------------------------------------------------------------------

PP_DEFS += BENDirection$(SUI_DIRS)
ID_DEFS += BENDirection$(SUI_DIRS)

IDL_INTO := $(MAK_DIR)Ping
IDL_JAVA := $(MAK_DIR)tOctetSequenceHelper $(MAK_DIR)tOctetSequenceHolder
IDL_FROM := ../../../../C++/_Suites/Marshal_Octet_Sequence/ping.idl
include $(MAK_MAKE_IDL)
ALL_JAVA += $(NEW_JAVA)

#--------------------------------------------------------------------
