/*******************************************************************\
| SuiteAction.java (Marshal Types Single)                           |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	/**
	 * Suite server object.
	 */
	public static Ping pingServer;


#ifdef BENDirectionIN
	private @ARG_TYPE@ pingArg;

#elifdef BENDirectionOUT
	private @ARG_HOLD@ pingArg = new @ARG_HOLD@ ();

#elifdef BENDirectionINOUT
	private @ARG_HOLD@ pingArg = new @ARG_HOLD@ ();

#elifdef BENDirectionRETURN
	// no arguments for RETURN direction

#else
#	error Direction not defined!
#endif


	/**
	 * Invokes a method on the servant passing a single
	 * primitive-type argument using various modes.
	 */
	public final void execute (long [] times) {

	#ifdef BENDirectionIN
		pingServer.Pong (pingArg);

	#elifdef BENDirectionOUT
		pingServer.Pong (pingArg);

	#elifdef BENDirectionINOUT
		pingServer.Pong (pingArg);

	#elifdef BENDirectionRETURN
		pingServer.Pong ();

	#endif
	} // execute ()

} // public final class SuiteAction
