/*******************************************************************\
| SuiteClient.java (Ping)                                           |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/

import org.omg.CORBA.SystemException;


/*******************************************************************\
| SuiteClient                                                       |
\*******************************************************************/

public final class SuiteClient {

	public static String getName () {
		return ("Ping Client");
	} // getName ()


	public static void run (org.omg.CORBA.Object suiteServer) {

		try {
			/*
			 * Execute the measurement.
			 */
			SuiteAction.pingServer = PingHelper.narrow (suiteServer);
			ActionStamp stamps [] = new ActionStamp [0];

			MeasureCore.measure (
				"", stamps, 1, BenchGlobal.SAM_TestSamples);

		} catch (SystemException ex) {
			BenchGlobal.displayFatal ("BEN", "Client "+ ex.toString ());
		}
	} // run (String [])

} // public final class SuiteClient

