/*******************************************************************\
| SuiteAction.java (Void)                                           |
+-------------------------------------------------------------------+
| Copyright (C) Lubomir Bulej <lubomir.bulej@mff.cuni.cz>           |
|               and other contributing authors of                   |
|               Distributed Systems Research Group                  |
|               Department of Software Engineering                  |
|               Faculty of Mathematics and Physics                  |
|               Charles University, Czech Republic                  |
\*******************************************************************/


/*******************************************************************\
| SuiteAction                                                       |
\*******************************************************************/

public final class SuiteAction {

	private static final int BEN_Cycles = 10000;


	/**
	 * Burns some cycles and reports a timestamp
	 * when half of the work is done.
	 */
	public final void execute (long [] times) {
		for (int cntr = 0; cntr < BEN_Cycles; cntr++) { /* nop */ };
		times [0] = SysInformer.timGetTimestamp ();
		for (int cntr = 0; cntr < BEN_Cycles; cntr++) { /* nop */ };
	} // execute ()

} // public final class SuiteAction
