#--------------------------------------------------------------------
# To be included once at the beginning of the suite makefile
#--------------------------------------------------------------------

# The task of this makefile is to define all shared variables
# to be used in the later stages of compilation and to include
# the corresponding makefiles for platform, compiler and broker.

#--------------------------------------------------------------------

MAKE += --no-print-directory

#--------------------------------------------------------------------
# Files
#--------------------------------------------------------------------

MAK_PLT_PATH := ../../../../C++/_Ported/LibPlatform
MAK_COM_PATH := ../../../../C++/_Ported/LibCompiler
MAK_ORB_PATH_BASE := ../../../_Broker/$(INI_ORB_BASE)
MAK_ORB_PATH_VERS := $(MAK_ORB_PATH_BASE)/$(INI_ORB_VERS)

MAK_INIT_PLT := $(MAK_PLT_PATH)/make_ini_$(INI_PLT_BASE).inc
MAK_INIT_COM := $(MAK_COM_PATH)/make_ini_$(INI_COM_BASE).inc
MAK_INIT_ORB := $(MAK_ORB_PATH_VERS)/make_ini.inc

MAK_MAKE_IDL := $(MAK_ORB_PATH_VERS)/make_idl.inc
MAK_MAKE_PRE := $(MAK_COM_PATH)/make_pre_$(INI_COM_BASE).inc
MAK_MAKE_OBJ := $(MAK_COM_PATH)/make_obj_$(INI_COM_BASE).inc
MAK_MAKE_DLL := $(MAK_COM_PATH)/make_dll_$(INI_COM_BASE).inc

#--------------------------------------------------------------------

CLT_BASE := ../../../_Script/$(INI_PLT_BASE)_$(CLT_TYPE)
SRV_BASE := ../../../_Script/$(INI_PLT_BASE)_$(SRV_TYPE)

#--------------------------------------------------------------------
# Definitions of file lists to be used
#--------------------------------------------------------------------

ALL_JAVA :=

SHR_DEFS :=
LIB_OBJS :=

DLL_LIST :=
REM_LIST :=

#--------------------------------------------------------------------
# Definitions of variables to be tweaked
#--------------------------------------------------------------------

ID_DEFS =

PP_DEFS =

JA	= $(JAVA_HOME)$(PD)bin$(PD)jar

JC	= $(JAVA_HOME)$(PD)bin$(PD)javac
JC_DIRS =

JR	= $(JAVA_HOME)$(PD)jre$(PD)bin$(PD)java
JR_DIRS =
JR_ORBC =
JR_ORBS =

CC_DEFS =
CC_DIRS =

LD_DIRS =
LD_LIBS =

MAK_DIR =

#--------------------------------------------------------------------
# Includes
#--------------------------------------------------------------------

include $(MAK_INIT_PLT)
include $(MAK_INIT_COM)
include $(MAK_INIT_ORB)

#--------------------------------------------------------------------
